Class Index | File Index

## Classes

- _global_
- Dygraph
- DygraphCanvasRenderer
- DygraphInteraction
- DygraphLayout
- DygraphOptions
- grid
- GVizChart
- GVizDataTable

# Class GVizChart

Defined in: dygraph-gviz.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| GVizChart(container) A wrapper around Dygraph that implements the gviz API.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| draw(data, options)
| getSelection() Google charts compatible getSelection implementation
| setSelection(selection_array) Google charts compatible setSelection Only row selection is supported, all points in the row will be highlighted

Class Detail
GVizChart(container)
A wrapper around Dygraph that implements the gviz API.

Parameters:
{!HTMLDivElement} container
  The DOM object the visualization should live in.

Method Detail
draw(data, options)

Parameters:
{GVizDataTable} data
{Object.<*>} options

{Array.<{row:number|column:number}>} getSelection()
Google charts compatible getSelection implementation

Returns:
  {Array.<{row:number|column:number}>} array of the selected cells

setSelection(selection_array)
Google charts compatible setSelection Only row selection is supported, all points in the row will be highlighted

Parameters:
{Array.<{row:number}>} selection_array
  array of the selected cells

Documentation generated by JsDoc Toolkit 2.4.0 for dygraph 2.2.0